import { sldCommonService } from "@/utils/utils";
export default {
  namespace: "bigscreen",

  state: {},

  effects: {
    // *change_manager_pwd({ payload, callback }, { call }) {
    //   const response = yield call(sldCommonService, payload,'post','v3/system/admin/adminUser/updatePwd');
    //   if (callback) callback(response);
    // },
  },

  reducers: {},

  subscriptions: {
    setup({ history }) {
      // Subscribe history(url) change, trigger `load` action if pathname is `/`
      return history.listen(({ pathname, search }) => {
        if (typeof window.ga !== "undefined") {
          window.ga("send", "pageview", pathname + search);
        }
      });
    },
  },
};
